// Fog shaders
// cull none for shaders with surfacelight!

textures/hangtime2_sfx/fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/fog_pjdm1.jpg
    qer_trans 0.5
    q3map_globalTexture
    surfaceparm	trans
    surfaceparm	nonsolid
    //surfaceparm fog
    surfaceparm	nolightmap
    //fogParms ( .733 .737 .620 ) 300
}

textures/hangtime2_sfx/hellfog
{
    qer_editorImage textures/hangtime2_ei/hellfog.tga
    qer_trans 0.5
    q3map_globalTexture
    //q3map_surfaceLight 100
    q3map_surfaceLight 50
    surfaceparm trans
    surfaceparm nonsolid
    //surfaceparm fog
    surfaceparm nodrop
    surfaceparm nolightmap
    //fogParms ( .55 .11 .1 ) 300
    cull none
    {
        map textures/hangtime2_sfx/kc_fogcloud3.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale -.1 -.1
        tcMod scroll .01 -.01
        rgbGen identity
    }
    {
        map textures/hangtime2_sfx/kc_fogcloud3.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale .1 .1
        tcMod scroll .01 -.01
        rgbGen identity
    }
}

textures/hangtime2_sfx/mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/mkc_fog_tdm3.jpg
    qer_trans 0.5
    q3map_globalTexture
    surfaceparm trans
    surfaceparm nonsolid
    //surfaceparm fog
    surfaceparm nodrop
    surfaceparm nolightmap
    //fogParms ( 0.3 0.2 0.2 ) 320
    {
        map textures/hangtime2_sfx/kc_fogcloud3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale -.05 -.05
        tcMod scroll .01 -.01
        rgbGen identity
    }
    {
        map textures/hangtime2_sfx/kc_fogcloud3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale .05 .05
        tcMod scroll .01 -.01
        rgbGen identity
    }
}

textures/hangtime2_sfx/pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/pj_a1_fog1.jpg
    qer_trans 0.5
    q3map_globalTexture
    q3map_surfaceLight 30
    surfaceparm trans
    surfaceparm nonsolid
    //surfaceparm fog
    surfaceparm nolightmap
    surfaceparm nodrop
    //fogParms ( .5 .5 .5 ) 512
    cull none
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/xbluefogx128.jpg
    qer_trans 0.5
    qer_noCarve
    q3map_surfaceLight 300
    q3map_lightSubdivide 128
    q3map_globalTexture
    surfaceparm trans
    surfaceparm nonsolid
    //surfaceparm fog
    surfaceparm nolightmap
    //fogParms ( 0.3 0.3 0.9 ) 128
    cull none
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/testconstantfog
{
	qer_editorImage textures/hangtime2_ei/testconstantfog.jpg
    qer_trans 0.5
	q3map_surfaceLight 100
    q3map_globalTexture
	surfaceparm	trans
	surfaceparm	nonsolid
    //surfaceparm fog
	surfaceparm	nolightmap
	surfaceparm nodrop
    //fogParms ( 0 1 0 ) 300
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.0 1.0 0.0 )
    }
}


// Flames
textures/hangtime2_sfx/flameanim_blue
{
    qer_editorImage textures/hangtime2_sfx/b_flame7.tga
    q3map_lightImage textures/hangtime2_sfx/b_flame7.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    q3map_surfaceLight 1800
    {
        animMap 10 textures/hangtime2_sfx/b_flame1.tga textures/hangtime2_sfx/b_flame2.tga textures/hangtime2_sfx/b_flame3.tga textures/hangtime2_sfx/b_flame4.tga textures/hangtime2_sfx/b_flame5.tga textures/hangtime2_sfx/b_flame6.tga textures/hangtime2_sfx/b_flame7.tga textures/hangtime2_sfx/b_flame8.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave inverseSawtooth 0 1 0 10
    }	
    {
        animMap 10 textures/hangtime2_sfx/b_flame2.tga textures/hangtime2_sfx/b_flame3.tga textures/hangtime2_sfx/b_flame4.tga textures/hangtime2_sfx/b_flame5.tga textures/hangtime2_sfx/b_flame6.tga textures/hangtime2_sfx/b_flame7.tga textures/hangtime2_sfx/b_flame8.tga textures/hangtime2_sfx/b_flame1.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }	
    {
        map textures/hangtime2_sfx/b_flameball.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6	
    }
}

textures/hangtime2_sfx/flameanim_blue_pj
{
    qer_editorImage textures/hangtime2_sfx/b_flame7.tga
    q3map_lightImage textures/hangtime2_sfx/b_flame7.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    q3map_surfaceLight 2500
    {
        animMap 10 textures/hangtime2_sfx/b_flame1.tga textures/hangtime2_sfx/b_flame2.tga textures/hangtime2_sfx/b_flame3.tga textures/hangtime2_sfx/b_flame4.tga textures/hangtime2_sfx/b_flame5.tga textures/hangtime2_sfx/b_flame6.tga textures/hangtime2_sfx/b_flame7.tga textures/hangtime2_sfx/b_flame8.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave inverseSawtooth 0 1 0 10
    }	
    {
        animMap 10 textures/hangtime2_sfx/b_flame2.tga textures/hangtime2_sfx/b_flame3.tga textures/hangtime2_sfx/b_flame4.tga textures/hangtime2_sfx/b_flame5.tga textures/hangtime2_sfx/b_flame6.tga textures/hangtime2_sfx/b_flame7.tga textures/hangtime2_sfx/b_flame8.tga textures/hangtime2_sfx/b_flame1.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }
    {
        map textures/hangtime2_sfx/b_flameball.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6	
    }
}

textures/hangtime2_sfx/flameanim_dimmer
{
    qer_editorImage textures/hangtime2_sfx/flame6.tga
    q3map_lightImage textures/hangtime2_sfx/flame6.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    q3map_surfaceLight 1500
    {
        animMap 10 textures/hangtime2_sfx/flame1.tga textures/hangtime2_sfx/flame2.tga textures/hangtime2_sfx/flame3.tga textures/hangtime2_sfx/flame4.tga textures/hangtime2_sfx/flame5.tga textures/hangtime2_sfx/flame6.tga textures/hangtime2_sfx/flame7.tga textures/hangtime2_sfx/flame8.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave inverseSawtooth 0 1 0 10
    }
    {
        animMap 10 textures/hangtime2_sfx/flame2.tga textures/hangtime2_sfx/flame3.tga textures/hangtime2_sfx/flame4.tga textures/hangtime2_sfx/flame5.tga textures/hangtime2_sfx/flame6.tga textures/hangtime2_sfx/flame7.tga textures/hangtime2_sfx/flame8.tga textures/hangtime2_sfx/flame1.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }
    {
        map textures/hangtime2_sfx/flameball.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6	
    }
}

textures/hangtime2_sfx/flameanim_red
{
    qer_editorImage textures/hangtime2_sfx/r_flame3.tga
    q3map_lightImage textures/hangtime2_sfx/r_flame3.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    q3map_surfaceLight 1800
    {
        animMap 10 textures/hangtime2_sfx/r_flame1.tga textures/hangtime2_sfx/r_flame2.tga textures/hangtime2_sfx/r_flame3.tga textures/hangtime2_sfx/r_flame4.tga textures/hangtime2_sfx/r_flame5.tga textures/hangtime2_sfx/r_flame6.tga textures/hangtime2_sfx/r_flame7.tga textures/hangtime2_sfx/r_flame8.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave inverseSawtooth 0 1 0 10
    }
    {
        animMap 10 textures/hangtime2_sfx/r_flame2.tga textures/hangtime2_sfx/r_flame3.tga textures/hangtime2_sfx/r_flame4.tga textures/hangtime2_sfx/r_flame5.tga textures/hangtime2_sfx/r_flame6.tga textures/hangtime2_sfx/r_flame7.tga textures/hangtime2_sfx/r_flame8.tga textures/hangtime2_sfx/r_flame1.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }
    {
        map textures/hangtime2_sfx/r_flameball.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6	
    }
}

textures/hangtime2_sfx/flame2
{
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    q3map_surfaceLight 5500
    qer_editorImage textures/hangtime2_sfx/flame1.tga
    {
        animMap 10 textures/hangtime2_sfx/flame1.tga textures/hangtime2_sfx/flame2.tga textures/hangtime2_sfx/flame3.tga textures/hangtime2_sfx/flame4.tga textures/hangtime2_sfx/flame5.tga textures/hangtime2_sfx/flame6.tga textures/hangtime2_sfx/flame7.tga textures/hangtime2_sfx/flame8.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave inverseSawtooth 0 1 0 10
    }	
    {
        animMap 10 textures/hangtime2_sfx/flame2.tga textures/hangtime2_sfx/flame3.tga textures/hangtime2_sfx/flame4.tga textures/hangtime2_sfx/flame5.tga textures/hangtime2_sfx/flame6.tga textures/hangtime2_sfx/flame7.tga textures/hangtime2_sfx/flame8.tga textures/hangtime2_sfx/flame1.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }	
    {
        map textures/hangtime2_sfx/flameball.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6	
    }
}


// Misc

textures/hangtime2_sfx/glass01
{
    qer_editorImage textures/hangtime2_ei/glass01.jpg
    surfaceparm trans
    cull none
    qer_trans 0.5
    {
        map textures/hangtime2_sfx/tinfx.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/hangtime2_sfx/teslacoil
{
    cull none
    qer_editorImage textures/hangtime2_ei/teslacoil.jpg
    q3map_lightImage textures/hangtime2_sfx/tesla1.tga
    q3map_surfaceLight 100
    {
        map $lightmap
        tcGen environment
        blendFunc GL_DST_COLOR GL_ZERO
    }	
	{
        map textures/hangtime2_sfx/tesla1.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 5
        tcMod scale 1 .5
        tcMod turb 0 .1 0 1
        tcMod scroll -1 -1
    }	
    {
        map textures/hangtime2_sfx/electricslime.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 .5 0 1
        tcMod scale .5 .5
        tcMod turb 0 .1 0 1
        tcMod rotate 180
        tcMod scroll -1 -1
    }
    {
        map textures/hangtime2_sfx/cabletest2.tga
        blendFunc blend
	}
}

textures/hangtime2_sfx/zap_scroll1000
{
    q3map_surfaceLight 1000
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    qer_editorImage textures/hangtime2_sfx/zap_scroll.tga
    cull none
	{
        map textures/hangtime2_sfx/zap_scroll.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave triangle .8 2 0 7
        tcMod scroll 0 1
    }	
    {
        map textures/hangtime2_sfx/zap_scroll.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave triangle 1 1.4 0 5
        tcMod scale  -1 1
        tcMod scroll 0 1
    }	
    {
        map textures/hangtime2_sfx/zap_scroll2.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave triangle 1 1.4 0 6.3
        tcMod scale  -1 1
        tcMod scroll 2 1
    }	
    {
        map textures/hangtime2_sfx/zap_scroll2.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave triangle 1 1.4 0 7.7
        tcMod scroll -1.3 1
	}	
}

textures/hangtime2_sfx/launchpad_blocks18d
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_sfx/launchpad_blocks18d.tga
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {	
        map textures/hangtime2_sfx/launchpad_dot.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave inversesawtooth 0 1 0 1
    }
    {
        animMap 4 textures/hangtime2_sfx/launchpad_arrow.tga textures/hangtime2_sfx/launchpad_arrow2.tga textures/hangtime2_sfx/launchpad_arrow2.tga textures/hangtime2_sfx/launchpad_arrow2.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 2
    }
}

textures/hangtime2_sfx/diamond2cjumppad
{
    qer_editorImage textures/hangtime2_sfx/bouncepad01_diamond2cTGA.tga
    //surfaceparm nodamage
    q3map_lightImage textures/hangtime2_sfx/jumppadsmall.tga	
    q3map_surfaceLight 500
    {
        map textures/hangtime2_sfx/bouncepad01_diamond2cTGA.tga
        rgbGen identity
    }	
	{
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		map textures/hangtime2_sfx/bouncepad01b_layer1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/hangtime2_sfx/jumppadsmall.tga
		blendFunc GL_ONE GL_ONE
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/hangtime2_sfx/shootme2
{
    qer_editorImage textures/hangtime2_ei/metal3_3_shootme.jpg
    q3map_lightImage textures/hangtime2_sfx/shootme_glow.tga
    q3map_surfaceLight 1000
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/metal3_3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/hangtime2_sfx/shootme_glow.tga
        rgbGen wave sin 0.5 1.0 0 .3
        blendFunc GL_ONE GL_ONE
    }
}

// Fog surfaces
// Fading fog texture straight onto surfaces affected by it

// Startroom Stage 3
textures/hangtime2_sfx/oldstone8_hellfog
{
    qer_editorImage textures/hangtime2_ei/oldstone8_hellfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/oldstone8.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

textures/hangtime2_sfx/oldstone13_hellfog
{
    qer_editorImage textures/hangtime2_ei/oldstone13_hellfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/oldstone13.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

textures/hangtime2_sfx/col_marble5_hellfog
{
    qer_editorImage textures/hangtime2_ei/col_marble5_hellfog.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/col_marble5.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

// Startroom Stage 4
textures/hangtime2_sfx/trim_stone_02_bright_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/trim_stone_02_bright_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/trim_stone_02_bright.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

textures/hangtime2_sfx/trim_stone_04_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/trim_stone_04_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/trim_stone_04.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

textures/hangtime2_sfx/desertrock1_2_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/desertrock1_2_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/desertrock1_2.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

textures/hangtime2_sfx/wall01-sup_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/wall01-sup_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/wall01-sup.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

textures/hangtime2_sfx/oldstone7_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/oldstone7_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/oldstone7.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

// Startroom Stage 6
textures/hangtime2_sfx/support3_1_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/support3_1_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/support3_1.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/e6bmetal_darker_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/e6bmetal_darker_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/e6bmetal_darker.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/floor_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/floor_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/floor.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/ubase_holes_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/ubase_holes_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/ubase_holes.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/lqstone10_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/lqstone10_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/lqstone10.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

// Stage 1-1
textures/hangtime2_sfx/concrete_big_1_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/concrete_big_1_xbluefogx128.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/concrete_big_1.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/texture45_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/texture45_xbluefogx128.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/texture45.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/texture29_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/texture29_xbluefogx128.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/texture29.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

// Stage 1-3
textures/hangtime2_sfx/texture49_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/texture49_xbluefogx128.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/texture49.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/ik_woodv128f_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/ik_woodv128f_xbluefogx128.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/ik_woodv128f.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

// Stage 1-8
textures/hangtime2_sfx/ik_woodv128f_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/ik_woodv128f_pj_a1_fog1.jpg
    surfaceparm nomarks
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/ik_woodv128f.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/ik_wood_roof128a_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/ik_wood_roof128a_pj_a1_fog1.jpg
    surfaceparm nomarks
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/ik_wood_roof128a.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/texture42_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/texture42_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/texture42.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/asphalt01_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/asphalt01_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/asphalt01.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/mtloverlaprwll_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/mtloverlaprwll_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/mtloverlaprwll.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

// Stage 1-10
textures/hangtime2_sfx/texture36_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/texture36_xbluefogx128.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/texture36.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/mtloverlaprwll_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/mtloverlaprwll_xbluefogx128.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/mtloverlaprwll.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/ik_wood_roof128a_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/ik_wood_roof128a_xbluefogx128.jpg
    surfaceparm nomarks
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/ik_wood_roof128a.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

// Stage 2-3
textures/hangtime2_sfx/tp_concrete_worn_001a_testconstantfog
{
    qer_editorImage textures/hangtime2_ei/tp_concrete_worn_001a_testconstantfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/tp_concrete_worn_001a.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 1 0 )
    }
}

textures/hangtime2_sfx/block_01_testconstantfog
{
    qer_editorImage textures/hangtime2_ei/block_01_testconstantfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/block_01.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 1 0 )
    }
}

textures/hangtime2_sfx/oldstone9_testconstantfog
{
    qer_editorImage textures/hangtime2_ei/oldstone9_testconstantfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/oldstone9.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 1 0 )
    }
}

textures/hangtime2_sfx/corrugated_tin_testconstantfog
{
    qer_editorImage textures/hangtime2_ei/corrugated_tin_testconstantfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/corrugated_tin.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 1 0 )
    }
}

textures/hangtime2_sfx/boden_testconstantfog
{
    qer_editorImage textures/hangtime2_ei/boden_testconstantfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/boden.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 1 0 )
    }
}

// Stage 2-8
textures/hangtime2_sfx/oldstone9_b_testconstantfog
{
    qer_editorImage textures/hangtime2_ei/oldstone9_b_testconstantfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/oldstone9_b.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 1 0 )
    }
}

textures/hangtime2_sfx/tp_metal_wall_003_testconstantfog
{
    qer_editorImage textures/hangtime2_ei/tp_metal_wall_003_testconstantfog.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/tp_metal_wall_003.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 1 0 )
    }
}

textures/hangtime2_sfx/tp_brick_brown_256_testconstantfog
{
    qer_editorImage textures/hangtime2_ei/tp_brick_brown_256_testconstantfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/tp_brick_brown_256.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 1 0 )
    }
}

// Stage 3-1
textures/hangtime2_sfx/oldstone4_hellfog
{
    qer_editorImage textures/hangtime2_ei/oldstone4_hellfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/oldstone4.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

textures/hangtime2_sfx/tp_rust_trim_002_hellfog
{
    qer_editorImage textures/hangtime2_ei/tp_rust_trim_002_hellfog.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/tp_rust_trim_002.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

textures/hangtime2_sfx/tp_bolt_trim_003_hellfog
{
    qer_editorImage textures/hangtime2_ei/tp_bolt_trim_003_hellfog.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/tp_bolt_trim_003.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

// Stage 3-3
textures/hangtime2_sfx/oldstone1_hellfog
{
    qer_editorImage textures/hangtime2_ei/oldstone1_hellfog.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/oldstone1.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

textures/hangtime2_sfx/eq2_geodet_hellfog
{
    qer_editorImage textures/hangtime2_ei/eq2_geodet_hellfog.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/eq2_geodet.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

textures/hangtime2_sfx/tp_base_rust_01a_hellfog
{
    qer_editorImage textures/hangtime2_ei/tp_base_rust_01a_hellfog.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/tp_base_rust_01a.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

textures/hangtime2_sfx/hex_redcloud_hellfog
{
    qer_editorImage textures/hangtime2_ei/hex_redcloud_hellfog.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/hex_redcloud.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

textures/hangtime2_sfx/eq2_trimv_11d_hellfog
{
    qer_editorImage textures/hangtime2_ei/eq2_trimv_11d_hellfog.jpg
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/eq2_trimv_11d.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.55 0.11 0.1 )
    }
}

// Stage 4-1
textures/hangtime2_sfx/concfloor_rain_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/concfloor_rain_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/concfloor_rain.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}



textures/hangtime2_sfx/blackwood_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/blackwood_fog_pjdm1.jpg
    surfaceparm nomarks
    surfaceparm woodsteps
    {
        map textures/hangtime2_base/blackwood.jpg
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

// Stage 4-2
textures/hangtime2_sfx/brick5_6_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/brick5_6_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/brick5_6.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

textures/hangtime2_sfx/brick_old_01_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/brick_old_01_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/brick_old_01.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

textures/hangtime2_sfx/brick05b_fog_pjdm1
{
    qer_editorImage textures/hangtime2_ei/brick05b_fog_pjdm1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/brick05b.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.733 0.737 0.62 )
    }
}

// Stage 4-4
textures/hangtime2_sfx/brick_old_01_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/brick_old_01_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/brick_old_01.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/trim_stone_01_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/trim_stone_01_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/trim_stone_01.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/concfloor_rain_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/concfloor_rain_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/concfloor_rain.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

// Stage 4-5
textures/hangtime2_sfx/oldstone4_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/oldstone4_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/oldstone4.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/wall01-sup_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/wall01-sup_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/wall01-sup.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/trim_stone_04_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/trim_stone_04_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/trim_stone_04.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/brick5_6_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/brick5_6_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/brick5_6.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/wrn_wall1_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/wrn_wall1_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/wrn_wall1.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/wall13_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/wall13_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/wall13.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

// Stage 4-7

textures/hangtime2_sfx/floor5_2_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/floor5_2_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/floor5_2.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/trim_stone_02_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/trim_stone_02_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/trim_stone_02.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

textures/hangtime2_sfx/brick05b_pj_a1_fog1
{
    qer_editorImage textures/hangtime2_ei/brick05b_pj_a1_fog1.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/brick05b.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.5 0.5 0.5 )
    }
}

// Stage 5-2

textures/hangtime2_sfx/cretebase_orange_2_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/cretebase_orange_2_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/cretebase_orange_2.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/path_mosaic1_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/path_mosaic1_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/path_mosaic1.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/tin_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/tin_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/tin.tga
        blendFunc GL_DST_COLOR GL_SRC_ALPHA
        rgbGen identity
        alphaGen lightingSpecular
    }
    {
        map textures/hangtime2_sfx/tinfx.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
    {
        map textures/hangtime2_base/tin.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

// Stage 5-7/8

textures/hangtime2_sfx/asphalt01_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/asphalt01_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/asphalt01.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/boden_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/boden_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/boden.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/path_cloth3_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/path_cloth3_mkc_fog_tdm3.jpg
    surfaceparm nomarks
    surfaceparm carpetsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/path_cloth3.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

// Stage 6-2

textures/hangtime2_sfx/ubase_pan4_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/ubase_pan4_mkc_fog_tdm3.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/ubase_pan4.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

textures/hangtime2_sfx/hex_chrome_mkc_fog_tdm3
{
    qer_editorImage textures/hangtime2_ei/hex_chrome_mkc_fog_tdm3.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/hex_chrome.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.2 0.2 )
    }
}

// Stage 6-3

textures/hangtime2_sfx/ubase_wall1_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/ubase_wall1_xbluefogx128.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/ubase_wall1.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/tfloor_rndholes_drty_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/tfloor_rndholes_drty_xbluefogx128.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/tfloor_rndholes_drty.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/u_45deg2_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/u_45deg2_xbluefogx128.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/u_45deg2.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/hex_chrome_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/hex_chrome_xbluefogx128.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/hex_chrome.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/trim5_3_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/trim5_3_xbluefogx128.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_trims/trim5_3.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

// Stage 6-4

textures/hangtime2_sfx/grate_grey2_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/grate_grey2_xbluefogx128.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/grate_grey2.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

// Stage 6-9

textures/hangtime2_sfx/u_floor3_trimed_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/u_floor3_trimed_xbluefogx128.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/u_floor3_trimed.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}

textures/hangtime2_sfx/grate_grey3_xbluefogx128
{
    qer_editorImage textures/hangtime2_ei/grate_grey3_xbluefogx128.jpg
    surfaceparm metalsteps
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/hangtime2_base/grate_grey3.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.3 0.3 0.9 )
    }
}
